%define mandir /usr/share/man

Summary: A Pager with WWW capability
Name: w3m
Version: 0.1.10
Release: 1j1
Group: Applications/Internet
Copyright: Freely distributable
Url: http://ei5nazha.yz.yamagata-u.ac.jp/
Source0: ftp://ei5nazha.yz.yamagata-u.ac.jp/w3m/w3m-%{version}.tar.gz
Requires: perl
Requires: indexhtml
BuildRequires: openssl
Provides: webclient
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
w3m is a pager with WWW capability. It IS a pager, but it can be
used as a text-mode WWW browser. The features of w3m are as follows:
- When reading HTML document, you can follow links and view images
  (using external image viewer).
- It has 'internet message mode', which determines the type of document
  from header. If the Content-Type: field of the document is text/html,
  that document is displayed as HTML document.
- You can change URL description like 'http://hogege.net' in plain text
  into link to that URL.

%prep
%setup -q

%build
./configure -prefix=/usr -lang ja <<EOF
/usr/bin
/usr/lib/w3m
/usr/lib/w3m
1
E
n
y
n
n
y
5
y
/bin/vi
/bin/mail
/usr/bin/netscape
gcc
$RPM_OPT_FLAGS
-lncurses

EOF
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat > ${RPM_BUILD_ROOT}/etc/profile.d/w3m.sh << EOF
export HTTP_HOME="file:/usr/share/doc/HTML/index.html"
EOF

cat > ${RPM_BUILD_ROOT}/etc/profile.d/w3m.csh << EOF
setenv HTTP_HOME "file:/usr/share/doc/HTML/index.html"
EOF

mkdir -p ${RPM_BUILD_ROOT}%{mandir}/{man1,ja/man1}
install -m 644 doc-jp/w3m.1 ${RPM_BUILD_ROOT}%{mandir}/ja/man1
install -m 644 doc/w3m.1 ${RPM_BUILD_ROOT}%{mandir}/man1
# dont include duplicated man pages and CVS directory in doc
rm -f doc-jp/w3m.1 doc/w3m.1
find . -name "CVS" | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc doc-jp
%attr(755,root,root) %config /etc/profile.d/*
/usr/bin/w3m
/usr/lib/w3m/
%{mandir}/ja/man1/w3m.1*
%{mandir}/man1/w3m.1*

%changelog
* Wed Sep  6 2000 Satoru Sato <ssato@redhat.com>
- port from vine
- remove w3m.wmconfig
- build with openssl library

* Sun Jul 09 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- w3m-0.1.10-0vl3
- provide default HTTP_HOME in /etc/profile.d

* Fri Jul 07 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- Provides: webclient, Requires: indexhtml (capability of lynx)
- added w3m.wmconfig
- give them(who?) RPM_OPT_FLAGS(what?)
- dont include duplicated man pages and CVS directory in doc

* Wed Jun 21 2000 Jun Nishii <jun@vinelinux.org>
- 0.1.10-0vl1

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- fix spec file

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 0.1.4 to 0.1.6

* Thu Jan 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991203 to 0.1.4

* Fri Dec 03 1999 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991028 to 991203

* Sat Oct 30 1999 Yoichi Imai <bonaim@mutt.freemail.ne.jp>
- updated from 990820 to 991028

* Tue Aug 26 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- updated from 990716 to 990820

* Wed Aug 11 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- initial Release to VinePlus
